-------------------------------------------------------------------------------
--=> DEBUG.lua
--> DEBUGGER
-------------------------------------------------------------------------------
--> LuaCheck Settings
-- luacheck: no max line length
-- luacheck: ignore  _.* for k self
--> weizPVP Globals
-- luacheck: globals weizPVP weizPVP.Settings
--> Addon Libs Globals
-- luacheck: globals
--> WoW Globals
-- luacheck: globals table.wipe
-------------------------------------------------------------------------------
--=> LIBS
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
--=> LOCALS
-------------------------------------------------------------------------------
local unitData = {}




-------------------------------------------------------------------------------
--=> FUNCTIONS
-------------------------------------------------------------------------------

function weizPVP:DEBUG_GenerateIncomingData(enable)
    if enable then --> DEBUG ENABLED


		local nameAndRealm = unitData.nameAndRealm

        if nameAndRealm and unitData.timestamp then --> If we have a name and a timestamp; update data.
            if weizPVP.PlayerActiveCache[nameAndRealm] then --> Update Existing entry if it exists
                --> UPDATE VALUES
                weizPVP.PlayerActiveCache[nameAndRealm].LastUpdated = unitData.timestamp
                weizPVP.PlayerActiveCache[nameAndRealm].Guild =
                    unitData.guild or weizPVP.PlayerActiveCache[nameAndRealm].Guild

                if weizPVP.PlayerActiveCache[nameAndRealm].Estimated == true then --> Handle Level Estimations
                    weizPVP.PlayerActiveCache[nameAndRealm].Estimated = unitData.estimated
                    weizPVP.PlayerActiveCache[nameAndRealm].Class =
                        unitData.class or weizPVP.PlayerActiveCache[nameAndRealm].Class
                    weizPVP.PlayerActiveCache[nameAndRealm].Race =
                        unitData.race or weizPVP.PlayerActiveCache[nameAndRealm].Race
                    if unitData.level and weizPVP.PlayerActiveCache[nameAndRealm].Level then
                        if unitData.level > weizPVP.PlayerActiveCache[nameAndRealm].Level then
                            weizPVP.PlayerActiveCache[nameAndRealm].Level =
                                unitData.level or weizPVP.PlayerActiveCache[nameAndRealm].Level
                        end
                    else
                        weizPVP.PlayerActiveCache[nameAndRealm].Level =
                            unitData.level or weizPVP.PlayerActiveCache[nameAndRealm].Level
                    end
                end

                --> UPDATE CACHE
                if not weizPVP.PlayerActiveCache[nameAndRealm] then
                    weizPVP.PlayerActiveCache[nameAndRealm] = {}
                end

                if unitData.healthPercent then --> HEALTH
                    weizPVP.PlayerActiveCache[nameAndRealm].HealthPercent = unitData.healthPercent
                end

                if unitData.dead ~= nil then --> DEAD
                    weizPVP.PlayerActiveCache[nameAndRealm].Dead = unitData.dead
                end

                if unitData.stealth ~= nil then --> STEALTH
                    weizPVP.PlayerActiveCache[nameAndRealm].Stealth = unitData.stealth
                end

                --> UPDATE PLAYER LIST
                weizPVP:AddPlayerData(nameAndRealm, unitData.timestamp, unitData.dead)
            end
        end
	else --> DEBUG DISABLED
		table.wipe(weizPVP.PlayerActiveCache)
    end
end
